# Make file for motion
#
# Copyright 2000 by Jeroen Vreeken
# This program is published under the GNU public license version 2.0 or later
# Read the file COPYING for more info.
#
CC = gcc
INSTALL = install

prefix = /usr/local
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
mandir = ${prefix}/man
sysconfdir = ${prefix}/etc

VERSION=3.1.12

docdir = $(prefix)/doc/motion-$(VERSION)
examplesdir = $(prefix)/examples/motion-$(VERSION)

CFLAGS = -pg -O2 -Wall -DVERSION=\"$(VERSION)\" -D_REENTRANT -Dsysconfdir=\"$(sysconfdir)\" -DFVH_PROFILE
LDFLAGS = -pg
LIBS =  -ljpeg -lpthread
CONTROL_LIBS = 
OBJ = motion.o conf.o draw.o video.o track.o alg.o event.o picture.o ffmpeg.o netcam.o webcam.o control.o xmlrpc-httpd.o
CONTROL_OBJ = motion-control.o
DOC= CHANGELOG COPYING CREDITS INSTALL README motion_guide.html
EXAMPLES= *.conf

all: motion motion-control

motion: $(OBJ)
	$(CC) $(LDFLAGS) -o $@ $(OBJ) $(LIBS)

motion-control: $(CONTROL_OBJ)
	$(CC) $(LDFLAGS) -o $@ $(CONTROL_OBJ) $(CONTROL_LIBS)

install:
	mkdir -p $(bindir)
	mkdir -p $(mandir)/man1
	mkdir -p $(sysconfdir)
	mkdir -p $(docdir)
	mkdir -p $(examplesdir)
	$(INSTALL) motion $(bindir)
	$(INSTALL) motion-control $(bindir)
	$(INSTALL) motion.1 $(mandir)/man1
	$(INSTALL) $(DOC) $(docdir)
	$(INSTALL) $(EXAMPLES) $(examplesdir)
	$(INSTALL) motion.conf $(sysconfdir)

uninstall:
	rm -r $(bindir)/motion
	rm -r $(bindir)/motion-control
	rm -r $(mandir)/man1/motion.1
	rm -r $(docdir)
	rm -r $(examplesdir)
	rm -r $(sysconfdir)/motion.conf

 
clean:
	rm -f *~ *.jpg *.o motion motion-control combine

dist:	clean distclean updateguide


distclean: clean
	rm -f config.status config.log config.cache Makefile motion.spec

updateguide:
	wget www.lavrsen.dk/sources/webcam/motion_guide.htm -O motion_guide.html
